#!/bin/sh
#-------------------------------------------------------------------------------
# This file is part of the WSPR application, Weak Signal Propogation Reporter
#
# File Name:    wspr.sh
# Description:  Shell script wrapper to update or copy files from system install
# 
# Copyright (C) 2001-2014 Joseph Taylor, K1JT
# License: GNU GPL v3
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#-------------------------------------------------------------------------------

set -e

os=`uname`

# non gnu cp
copyur() {
        for f in $1/*;do
                if [ $f -nt `basename $f` ]; then
					if [ ! -d `basename $f` ]; then
						cp $f .
					fi
                fi
        done
}

# set dir's
_HOMEDIR="/home/$USER/.wspr"

if [ ${os} != "FreeBSD" ]; then
# make a few dir's
	mkdir -p $_HOMEDIR

# update files only if newer
	cp -uR /usr/share/wspr/* $_HOMEDIR
	cp -uR /usr/share/doc/wspr/* $_HOMEDIR/
	cp -uR /usr/lib/wspr/* $_HOMEDIR

else
# update out of date files
if [  -e $_HOMEDIR ] ; then 
		cd $_HOMEDIR
		copyur /usr/local/share/wspr
		copyur /usr/local/share/doc/wspr
		cd $_HOMEDIR/WsprMod
        	copyur /usr/local/lib/wspr/WsprMod
		cd $_HOMEDIR
	else
# if _HOMEDIR does not exist make it
	  mkdir  $_HOMEDIR
	  cp -R /usr/share/wspr/* $_HOMEDIR
	  cp -R /usr/share/doc/wspr/* $_HOMEDIR
	  cp -R /usr/lib/wspr/* $_HOMEDIR
	fi
fi

# run: py location updated by configure.ac
cd $_HOMEDIR
/usr/bin/python3 -O ./wspr.py
